Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Returns

Returns an object that contains information about the juice and bottle.

Parameters

query
string
The query to search for.
sort_by
string
The field in which the sort should be applied to. Can be only one item. Default is name.
sort
string
The order in which the response should be sorted. Can be set to order by desc or asc. Default is desc.
page
int
The page number. Default is 1.
per
int
The amount of records returned per page. Default is 20.
  curl -X GET https://api.onlydrams.app/api/v1/users/:id/collection/bottles/:bottle_id \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer $ACCESS_TOKEN"
{
	"id": "42fb80e9-008b-4484-aa98-2dbe0c2e8b7c",
	"name": "10,000 Drops Single Barrel Bourbon",
	"avatar": "https://storage.googleapis.com/onlydrams/vff6ze006kqe75ons2cek9stxeov",
	"proof": 0.0,
	"variety": "bourbon",
	"picked_by": null,
	"purchased_at": "Bee Liquors",
	"pickable": true,
	"total_bottles": 1,
	"status": "unopened",
	"bottles": [
		{
			"id": "5b3c0fdb-1928-4dea-ac8f-4073488aa8af",
			"name": "10,000 Drops Single Barrel Bourbon",
			"proof": 0.0,
			"variety": "bourbon",
			"size": "750",
			"image_url": "https://storage.googleapis.com/onlydrams/vff6ze006kqe75ons2cek9stxeov",
			"juice_id": "1bd5b775-9adc-499f-be08-baba57cbbeeb",
			"status": "unopened",
			"is_pick": false
		},
    ...
	]
}